Skip to main content
POST
Rotate Client Secret

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Authorization
string
header
required

This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.

Path Parameters

app_id
string
required

Application that owns the client.

id
string
required

SSO application that governs the client.

Body

application/json

SSOApplicationServiceRotateClientSecretRequest rotates one confidential App-owned client's secret.

clientId
string
required

Generated client ID whose secret will be rotated.

Response

200 - application/json

SSOApplicationServiceRotateClientSecretResponse contains the replacement secret. The value cannot be retrieved again.

SSOApplicationServiceRotateClientSecretResponse contains the replacement secret. The value cannot be retrieved again.

clientSecret
string

New client secret, shown exactly once.